Subject: Re: [RFC/PATCH] mailinfo: do not treat ">From" lines as in-body headers

From: Jeff King <[email-masked]>
Date: Sat, 13 Sep 2014 20:47:26 -0400

On Sat, Sep 13, 2014 at 10:57:14PM +0000, brian m. carlson wrote:

> On Sat, Sep 13, 2014 at 05:25:05PM -0400, Jeff King wrote:
> > Thanks both of you for following up. I did confirm that git-send-email
> > does not add such quoting. From your findings above, I'd agree that it's
> > the list-archive software munging it, and they are buggy IMHO (they
> > should de-quote on display).
> 
> I wonder if git send-email should do what mutt does in this case, which
> is use quoted-printable encoding and encode the first F as =46 (as well
> as any equals signs as =3D).  It looks like mailinfo.c already is
> capable of handling that, and that would avoid the entire issue.

That's not an unreasonable tactic. However, I think we'd still want to
do something with mailinfo on the receiving end, similar to the patch I
sent. We don't know that the sending side is necessarily send-email.

-Peff